<script>
  import { EArea } from "../enums/EArea";

  export let area = "",
    height = 8,
    width = 8,
    classes = '';

  let shadow,
      color;

  $: switch (area) {
    case EArea.ORG:
      shadow = "hover:shadow-blue-700";
      color = "fill-blue-700";
      break;

    case EArea.LABS:
      shadow = "hover:shadow-emerald-500";
      color = "fill-emerald-500";
      break;

    case EArea.DEV:
      shadow = "hover:shadow-red-800";
      color = "fill-red-800";
      break;

    case EArea.DESIGN:
      shadow = "hover:shadow-amber-500";
      color = "fill-amber-500";
      break;

    case EArea.SPACE:
      shadow = "hover:shadow-violet-700";
      color = "fill-violet-700";
      break;
  }
</script>

<svg class="duration-100 hover:shadow-[0_0_25px_0] {shadow} {classes}" {width} {height} viewBox="0 0 8 8" fill="none" xmlns="http://www.w3.org/2000/svg">
  <path d="M32 0H0V30H32V0Z" class="duration-200 {color}" />
</svg>
